package src.hw1;

public class TrainSet {					// Train set is a physical train. Amtrak has 20 Acela train sets.
	final static int MAXTRIP= 5;		// Max trips handled by a train set
	public static int lastTrainSet= -1;	// Highest numbered train sets that exists
	Trip[] trips;						// Trips covered by this TrainSet.
	int currTrip= -1;					// Position in trips array of next trip to be covered by this train set
	
	public TrainSet(Trip f) {			// Train sets don't come into being unless needed to cover a Trip
		trips= new Trip[MAXTRIP];
		trips[++currTrip]= f;
		lastTrainSet++;
	}
	public int getOrig() {
		return trips[currTrip].orig;
	}
	public int getDest() {
		return trips[currTrip].dest;
	}
	public int getDepart() {
		return trips[currTrip].depart;
	}
	public int getArrive() {
		return trips[currTrip].arrive;
	}
	public void addTrip(Trip t) {
		trips[++currTrip]= t;
	}
}